DMXReady Blog Manager 'inc_webblogmanager.asp' 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117248 漏洞类型 跨站脚本
发布时间 2009-01-16 更新时间 2009-01-29
CVE编号 CVE-2009-0338 CNNVD-ID CNNVD-200901-434
漏洞平台 ASP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/32736
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-434
|漏洞详情
DMXReadyBlogManager中的inc_webblogmanager.asp存在跨站脚本攻击漏洞。远程攻击者可以借助refer操作中的类别id参数,注入任意的web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/33314/info
 
DMXReady Blog Manager is prone to a cross-site scripting vulnerability and an SQL-injection vulnerability because the application fails to sufficiently sanitize user-supplied input.
 
Exploiting these issues could allow an attacker to steal cookie-based authentication credentials, compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.
 
http://www.example.com/[Path]/inc_webblogmanager.asp?CategoryID=>"><ScRiPt%20%0a%0d>alert(1369)%3B</ScRiPt>&ItemID=1&action=refer
|参考资料

来源:XF
名称:blogmanager-incwebblogmanager-xss(48053)
链接:http://xforce.iss.net/xforce/xfdb/48053
来源:BID
名称:33314
链接:http://www.securityfocus.com/bid/33314
来源:BUGTRAQ
名称:20090116DMXReadyBlogManager(SQL/XSS)
链接:http://www.securityfocus.com/archive/1/archive/1/500146/100/0/threaded
来源:SECUNIA
名称:33601
链接:http://secunia.com/advisories/33601
来源:MISC
链接:http://dmxready.helpserve.com/index.php?_m=news&_a=viewnews&newsid=12